Subject: bug#35551: package gcc does not depend on binutils and glibc

From: Bruno Haible <[email-masked]>
Date: Tue, 07 May 2019 19:26:59 +0200

Tobias Geerinckx-Rice wrote:
> > Well, 'guix install emacs' installs more than emacs as well:
> > graphviz, ghostscript, python, fftw, cups, ...
> 
> Oh, we're talking about different things then.
> 
> Installing (in any sense) emacs will add its dependencies to the 
> store (your ‘install’), but doesn't propagate them into the 
> profile (my ‘install’):
> 
>   ~ λ guix environment --pure --ad-hoc emacs
>   ~ λ dot
>   bash: dot: command not found

After I install 'gcc', I don't really mind whether 'as' and 'ld'
are found in my $PATH. But I want that gcc finds them when gcc
needs to invoke them.

Bruno